Subject: [OPSAWG] I-D Action: draft-ietf-opsawg-sap-03.txt

From: [email-masked]
Date: Mon, 21 Mar 2022 03:22:49 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Operations and Management Area Working Group WG of the IETF.

        Title           : A Network YANG Model for Service Attachment Points (SAPs)
        Authors         : Mohamed Boucadair
                          Oscar Gonzalez de Dios
                          Samier Barguil
                          Qin Wu
                          Victor Lopez
	Filename        : draft-ietf-opsawg-sap-03.txt
	Pages           : 36
	Date            : 2022-03-21

Abstract:
   This document defines a YANG data model for representing an abstract
   view of the provider network topology that contains the points from
   which its services can be attached (e.g., basic connectivity, VPN,
   network slices).  Also, the model can be used to retrieve the points
   where the services are actually being delivered to customers
   (including peer networks).

   This document augments the 'ietf-network' data model by adding the
   concept of Service Attachment Points (SAPs).  The Service Attachment
   Points are the network reference points to which network services,
   such as Layer 3 Virtual Private Network (L3VPN) or Layer 2 Virtual
   Private Network (L2VPN), can be attached.  Both User-Network
   Interface (UNI) and Network-to-Network Interface (NNI) are supported
   in the SAP data model.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-opsawg-sap/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-opsawg-sap-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-opsawg-sap-03

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: <[email-masked]>
Date: Mon, 21 Mar 2022 10:26:26 +0000

Hi all,

This version takes into account the yangdoctors review from Martin. The changes are purely editorial. 

Also, the text adds some discussions about interface/service mapping (including a new appendix) to reflect the discussion with Joe. 

Cheers,
Med

> -----Message d'origine-----
> De : OPSAWG <[email-masked]> De la part de internet-
> [email-masked]
> Envoyé : lundi 21 mars 2022 11:23
> À : [email-masked]
> Cc : [email-masked]
> Objet : [OPSAWG] I-D Action: draft-ietf-opsawg-sap-03.txt
> 
> 
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: tom petch <[email-masked]>
Date: Thu, 31 Mar 2022 11:38:22 +0000

From: OPSAWG <[email-masked]> on behalf of [email-masked] <[email-masked]>
Sent: 21 March 2022 10:26

Hi all,

<tp>

My usual practice is to start an I-D at the IANA Considerations but I thought that this time I would start at the beginning.  I got to s.2 and I am lost.

s.5 
'SAPs which anchor the links and are contained in the nodes.'

RFC8345 4.2
'termination points (which anchor the links  and are contained in nodes' 

s.2
  Service Attachment Point (SAP):  Describes the service's endpoint
      characteristics and its reference to a Termination Point (TP).

Looks to me like a SAP is a Termination Point is a SAP is a ... Well you get the picture except that I do not see a picture, just a synonym, SAP for Termination Point.

Tom Petch

Cheers,
Med

---

From: <[email-masked]>
Date: Thu, 31 Mar 2022 13:35:18 +0000

Hi Tom, 

Please see inline. 

Cheers,
Med

> De : tom petch <[email-masked]>
> Envoyé : jeudi 31 mars 2022 13:38
> À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>;
> [email-masked]
> Objet : Re: [OPSAWG] I-D Action: draft-ietf-opsawg-sap-03.txt
> 
> From: OPSAWG <[email-masked]> on behalf of
> [email-masked] <[email-masked]>
> My usual practice is to start an I-D at the IANA Considerations but I
> thought that this time I would start at the beginning.  I got to s.2 and
> I am lost.

[Med] The key aspect is called in the abstract:  

   The Service Attachment
   Points are the network reference points to which network services,
   such as Layer 3 Virtual Private Network (L3VPN) or Layer 2 Virtual
   Private Network (L2VPN), can be attached.

I really suggest you read Section 3. 

> Looks to me like a SAP is a Termination Point is a SAP is a ... Well you
> get the picture except that I do not see a picture, just a synonym, SAP
> for Termination Point.

[Med] the text right after the one you clarifies this:

   The 'sap' attribute defined in the SAP network model is not a tunnel
   termination point (TTP) (Section 3.6 of [RFC8795]) nor a link, but an
   abstraction of the termination point defined in [RFC8345].
> 
> Tom Petch
> 
> Also, the text adds some discussions about interface/service mapping
> (including a new appendix) to reflect the discussion with Joe.
> 
> Cheers,
> Med
> 
> > [email-masked] Envoyé : lundi 21 mars 2022 11:23 À :
> > [email-masked] Cc : [email-masked] Objet : [OPSAWG] I-D
> > Action: draft-ietf-opsawg-sap-03.txt
> >
> >
> > Internet-Drafts are also available by rsync at
> > rsync.ietf.org::internet- drafts
> >
> >
> ________________________________________________________________________
> _________________________________________________
> 
> Ce message et ses pieces jointes peuvent contenir des informations
> confidentielles ou privilegiees et ne doivent donc pas etre diffuses,
> exploites ou copies sans autorisation. Si vous avez recu ce message par
> erreur, veuillez le signaler a l'expediteur et le detruire ainsi que les
> pieces jointes. Les messages electroniques etant susceptibles
> d'alteration, Orange decline toute responsabilite si ce message a ete
> altere, deforme ou falsifie. Merci.
> 
> This message and its attachments may contain confidential or privileged
> information that may be protected by law; they should not be
> distributed, used or copied without authorisation.